Skip to main content
ページ更新
curl --request PATCH \
  --url https://api.utage-system.com/v1/funnels/{funnel_id}/steps/{step_id}/pages/{page_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "html_source": "<string>",
  "page_title": "<string>",
  "elements": [
    {}
  ],
  "meta_title": "<string>",
  "meta_description": "<string>",
  "meta_og_image": "<string>",
  "is_no_index": true,
  "pc_width": 1010,
  "background_color": "<string>",
  "background_image_src": "<string>",
  "background_image_style": "<string>",
  "js_head": "<string>",
  "js_body_top": "<string>",
  "js_body": "<string>",
  "css": "<string>",
  "use_popup": true,
  "popup_width": 800,
  "popup_background_color": "<string>",
  "popup_elements": [
    {}
  ],
  "is_high_speed_mode": true
}
'
{
  "data": {
    "id": "<string>",
    "title": "<string>",
    "page_title": "<string>",
    "html_source": "<string>",
    "elements": [
      {}
    ],
    "meta_title": "<string>",
    "meta_description": "<string>",
    "meta_og_image": "<string>",
    "is_no_index": true,
    "pc_width": 123,
    "background_color": "<string>",
    "background_image_src": "<string>",
    "background_image_style": "<string>",
    "js_head": "<string>",
    "js_body_top": "<string>",
    "js_body": "<string>",
    "css": "<string>",
    "use_popup": true,
    "popup_width": 123,
    "popup_background_color": "<string>",
    "popup_elements": [
      {}
    ],
    "is_high_speed_mode": true,
    "order": 123,
    "is_archived": true,
    "created_at": "<string>",
    "updated_at": "<string>",
    "step_url": "<string>"
  }
}
PATCH(後方互換として PUT も利用可)
https://api.utage-system.com/v1/funnels/{funnel_id}/steps/{step_id}/pages/{page_id}
指定したフィールドのみ更新する部分更新です。リクエストに含めなかったフィールドは既存の値が維持されます。content_type は作成後に変更できません。

Authorizations

Authorization
string
header
required

APIキーをBearerトークンとして指定

Path Parameters

funnel_id
string
required

ファネルID

step_id
string
required

ステップID

page_id
string
required

ページID

Body

application/json
title
string

管理名称

Maximum string length: 255
content_type
enum<string>

コンテンツタイプ(作成後に変更不可。異なる値を指定すると400エラー)

Available options:
elements,
raw_html
html_source
string

HTML文字列(content_type=raw_html時に必須、最大4MB)

page_title
string

ページタイトル(content_type=elementsのみ)

elements
object[]

要素の配列(content_type=elements時)。GETで取得した構造をベースに変更箇所のみ修正して送信

meta_title
string

タイトル

Maximum string length: 255
meta_description
string

説明

Maximum string length: 500
meta_og_image
string<uri>

OG画像(og:image)URL

is_no_index
boolean

検索エンジン設定

pc_width
integer

ページ幅(PC)

Required range: 100 <= x <= 1920
border_type
enum<string>

ページ枠(PC)

Available options:
shadow,
border,
none
swipe_type
enum<string>

ページスワイプ

Available options:
none,
vertical,
horizontal
background_color
string

ページ全体の背景色(#RRGGBB 形式を推奨)

Maximum string length: 20
background_image_src
string

背景画像URL

Maximum string length: 2048
background_image_style
string

背景画像スタイル(cover_fixed / w100 / h100 / no_repeat / repeat を推奨)

Maximum string length: 30
js_head
string

head内JavaScript

js_body_top
string

body直後JavaScript

js_body
string

body末尾JavaScript

css
string

カスタムCSS

use_popup
boolean

ポップアップ使用

popup_action
enum<string>

イグジットポップアップ

Available options:
exit,
exit_all
popup_width
integer

ポップアップ幅

Required range: 600 <= x <= 1000
popup_background_color
string

ポップアップ背景色(#RRGGBB 形式を推奨)

Maximum string length: 20
popup_vertical_align
enum<string>

表示位置

Available options:
top,
centered
popup_elements
object[]

ポップアップ要素の配列

is_high_speed_mode
boolean

高速表示モード

Response

更新されたページ

data
object